Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextListFormat

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextFormat
                  com.trolltech.qt.gui.QTextListFormat

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QTextListFormat

extends QTextFormat
implements java.lang.Cloneable

The `QTextListFormat` class provides formatting information for lists in a `QTextDocument`. A list is composed of one or more items, represented as text blocks. The list's format specifies the appearance of items in the list. In particular, it determines the indentation and the style of each item.

The indentation of the items is an integer value that causes each item to be offset from the left margin by a certain amount. This value is read with `indent()` and set with `setIndent()`.

The style used to decorate each item is set with `setStyle()` and can be read with the `style()` function. The style controls the type of bullet points and numbering scheme used for items in the list. Note that lists that use the decimal numbering scheme begin counting at 1 rather than 0.

See also:
  `QTextList`.

Nested Class Summary
`static class` | `QTextListFormat.Style` This enum describes the symbols used to decorate list items.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QTextFormat
`QTextFormat.FormatType, QTextFormat.ObjectTypes, QTextFormat.PageBreakFlag, QTextFormat.PageBreakFlags, QTextFormat.Property`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextListFormat()` Constructs a new list format object.

Method Summary
`QTextListFormat` | `clone()` This method is reimplemented for internal reasons
`static QTextListFormat` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextListFormat instance pointed to by `nativePointer`.
`int` | `indent()` Returns the list format's indentation.
`static QNativePointer` | `nativePointerArray(QTextListFormat[] array)` This function returns a QNativePointer that is pointing to the specified QTextListFormat array.
`void` | `setIndent(int indent)` Sets the list format's `indentation`.
`void` | `setStyle(QTextListFormat.Style style)` Sets the list format's `style`.
`QTextListFormat.Style` | `style()` Returns the list format's style.

Methods inherited from class com.trolltech.qt.gui.QTextFormat
`background, boolProperty, brushProperty, clearBackground, clearForeground, clearProperty, colorProperty, doubleProperty, foreground, hasProperty, intProperty, isBlockFormat, isCharFormat, isFrameFormat, isImageFormat, isListFormat, isTableCellFormat, isTableFormat, isValid, layoutDirection, lengthProperty, lengthVectorProperty, merge, nativePointerArray, objectIndex, objectType, penProperty, properties, property, propertyCount, readFrom, setBackground, setForeground, setLayoutDirection, setObjectIndex, setObjectType, setProperty, setProperty, stringProperty, toBlockFormat, toCharFormat, toFrameFormat, toImageFormat, toListFormat, toTableCellFormat, toTableFormat, type, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextListFormat

    public QTextListFormat()

  Constructs a new list format object.

Method Detail

### indent

    public final int indent()

  Returns the list format's indentation.

See also:
  `setIndent()`.

### setIndent

    public final void setIndent(int indent)

  Sets the list format's `indentation`.

See also:
  `indent()`.

### setStyle

    public final void setStyle(QTextListFormat.Style style)

  Sets the list format's `style`. See `Style` for the available styles.

See also:
  `style()`.

### style

    public final QTextListFormat.Style style()

  Returns the list format's style. See `Style`.

See also:
  `setStyle()`.

### fromNativePointer

    public static QTextListFormat fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextListFormat instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextListFormat[] array)

  This function returns a QNativePointer that is pointing to the specified QTextListFormat array.

### clone

    public QTextListFormat clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QTextFormat`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD